;
{
  try {
    let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "d164bd8d-487e-4787-8827-1656f488f6ec", e._sentryDebugIdIdentifier = "sentry-dbid-d164bd8d-487e-4787-8827-1656f488f6ec");
  } catch (e) {
  }
}
;
import { jsxs, jsx } from "preact/jsx-runtime";
import cx from "classnames";
import { r as Icon, u as useTranslation, q as TaskStatuses } from "./StoreProvider-CqQrndhS.js";
const SettingNames = {
  AcceptedCountries: "acceptedCountries",
  AllowBankAccountFormatSelection: "allowBankAccountFormatSelection",
  AllowDebugUi: "allowDebugUi",
  AllowIntraRegionCrossBorderPayout: "allowIntraRegionCrossBorderPayout",
  AllowLegalEntityTypeChange: "changeLegalEntityType",
  AllowPrefilledCountryEdit: "editPrefilledCountry",
  RequirePciSignEcommerce: "requirePciSignEcommerce",
  RequirePciSignPos: "requirePciSignPos",
  RequirePciSignEcomMoto: "requirePciSignEcomMoto",
  RequirePciSignPosMoto: "requirePciSignPosMoto",
  HideOnboardingIntroductionIndividual: "hideOnboardingIntroductionIndividual",
  HideOnboardingIntroductionOrganization: "hideOnboardingIntroductionOrganization",
  HideOnboardingIntroductionTrust: "hideOnboardingIntroductionTrust",
  HideOnboardingIntroductionSoleProprietor: "hideOnboardingIntroductionSoleProprietor",
  TransferInstrumentLimit: "transferInstrumentLimit",
  ViewOnboardingGuidance: "viewOnboardingGuidance",
  InstantBankVerification: "instantBankVerification",
  ShowServiceAgreementsFirst: "showServiceAgreementsFirst",
  ShowBusinessFinancingFirst: "showBusinessFinancingFirst",
  EnforceLegalAge: "enforceLegalAge",
  MerchantType: "merchantType",
  AllowBusinessLines: "allowBusinessLines"
};
const status = "adyen-kyc-status";
const statusIcon = "adyen-kyc-status-icon";
const statusText = "adyen-kyc-status-text";
const statusTextResponsive = "adyen-kyc-status-text-responsive";
const statusNeutral = "adyen-kyc-status-neutral";
const statusError = "adyen-kyc-status-error";
const statusWarning = "adyen-kyc-status-warning";
const statusSuccess = "adyen-kyc-status-success";
const styles = {
  status,
  statusIcon,
  statusText,
  statusTextResponsive,
  statusNeutral,
  statusError,
  statusWarning,
  statusSuccess
};
const variantStyles = {
  success: styles.statusSuccess,
  error: styles.statusError,
  neutral: styles.statusNeutral,
  warning: styles.statusWarning
};
const Status = ({
  text,
  icon = "circle-small-filled",
  variant = "neutral",
  responsive = true
}) => {
  const rootClassname = cx(styles.status, variantStyles[variant]);
  const textClassname = cx(styles.statusText, {
    [styles.statusTextResponsive]: responsive
  });
  return /* @__PURE__ */ jsxs("div", { role: "status", className: rootClassname, children: [
    /* @__PURE__ */ jsx("div", { className: styles.statusIcon, children: /* @__PURE__ */ jsx(Icon, { name: icon }) }),
    /* @__PURE__ */ jsx("div", { className: textClassname, children: text })
  ] });
};
const TaskVerificationStatus = ({ status: status2, responsive }) => {
  const { t } = useTranslation("ui");
  switch (status2) {
    case TaskStatuses.DETAILS_REQUIRED:
      return /* @__PURE__ */ jsx(
        Status,
        {
          icon: "warning",
          text: t(($) => $["incomplete"]),
          variant: "warning",
          responsive
        }
      );
    case TaskStatuses.ERROR:
      return /* @__PURE__ */ jsx(
        Status,
        {
          icon: "field-error",
          text: t(($) => $["actionNeeded"]),
          variant: "error",
          responsive
        }
      );
    case TaskStatuses.FINISHED:
      return /* @__PURE__ */ jsx(
        Status,
        {
          icon: "checkmark",
          text: t(($) => $["verified"]),
          variant: "success",
          responsive
        }
      );
    case TaskStatuses.PROCESSING:
      return /* @__PURE__ */ jsx(Status, { icon: "clock", text: t(($) => $["inReview"]), responsive });
    case TaskStatuses.DOWNLOAD:
    case TaskStatuses.SIGNED:
      return /* @__PURE__ */ jsx(
        Status,
        {
          icon: "checkmark",
          text: t(($) => $["signed"]),
          variant: "success",
          responsive
        }
      );
    default:
      return null;
  }
};
export {
  SettingNames as S,
  TaskVerificationStatus as T
};
